## acpidump 20060606

=== Makefile ===
DIRS = acpidump

all:
	for i in $(DIRS); do $(MAKE) -C $$i $@; done

clean:
	for i in $(DIRS); do $(MAKE) -C $$i $@; done

.PHONY: all clean

=== acpidump/Makefile ===
PROG=	acpidump
SRCS=	acpidump.c
KERNEL_INCLUDE := ../include
CFLAGS += -Wall -Wstrict-prototypes -Os -s -D_LINUX -DDEFINE_ALTERNATE_TYPES -I$(KERNEL_INCLUDE) 

all: acpidump

acpidump : $(SRCS) 
	$(CC) $(CFLAGS) $(SRCS) -o $(PROG)

CLEANFILES= $(PROG)

clean : 
	rm -f $(CLEANFILES) $(patsubst %.c,%.o, $(SRCS)) *~

=== pmtest/Makefile ===
KERNEL_INCLUDE := /usr/src/linux/include

CC = gcc

CFLAGS := -Wall -fno-strength-reduce -fomit-frame-pointer
CFLAGS := $(CFLAGS) -D__KERNEL__ -DMODULE -I$(KERNEL_INCLUDE)
CFLAGS := $(CFLAGS) -Wall -Wno-unused -Wno-multichar

all: pmtest.o

clean:
	$(RM) *.o

## acpidump 20061130

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-DIRS = acpidump
+DIRS = acpidump acpixtract
 
 all:
 	for i in $(DIRS); do $(MAKE) -C $$i $@; done

=== acpidump/Makefile ===
PROG= acpidump
SRCS=	acpidump.c
KERNEL_INCLUDE := ../include
CFLAGS += -Wall -Wstrict-prototypes -Wdeclaration-after-statement -Os -s -D_LINUX -DDEFINE_ALTERNATE_TYPES -I$(KERNEL_INCLUDE) 

all: acpidump
$(PROG) : $(SRCS)
	$(CC) $(CFLAGS) $(SRCS) -o $(PROG)

CLEANFILES= $(PROG)

clean : 
	rm -f $(CLEANFILES) $(patsubst %.c,%.o, $(SRCS)) *~

=== acpixtract/Makefile ===
PROG=	acpixtract
SRCS=	acpixtract.c

CFLAGS+= -Wall -O2 -D_LINUX -DACPI_APPLICATION -Wstrict-prototypes -I../../include 

all: $(PROG)

$(PROG) : $(SRCS)
	$(CC) $(CFLAGS) $(SRCS) -o $(PROG)

CLEANFILES= $(PROG)

clean : 
	rm -f $(CLEANFILES) $(patsubst %.c,%.o, $(SRCS))

## acpidump 20071116

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-DIRS = acpidump acpixtract
+DIRS = acpidump acpixtract madt
 
 all:
 	for i in $(DIRS); do $(MAKE) -C $$i $@; done

=== madt/Makefile ===
PROG= madt
SRCS=	madt.c

all: madt
$(PROG) : $(SRCS)
	$(CC) $(CFLAGS) $(SRCS) -o $(PROG)

test: madt
	./madt < example.APIC.dat
	./madt < example.APIC.bad.dat

CLEANFILES= $(PROG)

clean : 
	rm -f $(CLEANFILES) $(patsubst %.c,%.o, $(SRCS)) *~

## acpidump 20100513

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-DIRS = acpidump acpixtract madt
+DIRS = acpidump acpixtract turbostat
 
 all:
 	for i in $(DIRS); do $(MAKE) -C $$i $@; done

=== madt/Makefile ===
test: madt
	./madt < APIC
madt: madt.c acpi.h tables.c
	cc -o madt madt.c
clean:
	rm madt

=== turbostat/Makefile ===
PROG= turbostat
SRCS=	turbostat.c

all: turbostat

$(PROG) : $(SRCS)
	$(CC) $(CFLAGS) $(SRCS) -o $(PROG)

CLEANFILES= $(PROG)

clean : 
	rm -f $(CLEANFILES) $(patsubst %.c,%.o, $(SRCS)) *~

=== debian/changelog ===
acpidump (20100513-3) unstable; urgency=low

  * Do not build madt as it was dropped upstream.
  * Remove all references to madt in the manpage and fix a couple of
    inconsistencies.

 -- Mattia Dongili <malattia@debian.org>  Sat, 13 Nov 2010 12:08:47 +0900

acpidump (20100513-2) unstable; urgency=low

  * Do not build turbostat on ia64 (Closes: #599950)

 -- Mattia Dongili <malattia@debian.org>  Sun, 31 Oct 2010 11:20:03 +0900

acpidump (20100513-1) unstable; urgency=low

  * New upstream version

 -- Mattia Dongili <malattia@debian.org>  Sun, 23 May 2010 16:24:36 +0900

acpidump (20100416-1) unstable; urgency=low

  * New upstream version

 -- Mattia Dongili <malattia@debian.org>  Sun, 25 Apr 2010 23:07:26 +0900

acpidump (20100123-1) unstable; urgency=low

  * New upstream version
  * Switch to dpkg-source 3.0 (quilt) format
  * add turbostat to the package

 -- Mattia Dongili <malattia@debian.org>  Sun, 25 Apr 2010 20:57:46 +0900

acpidump (20071116-1) unstable; urgency=low

  * New upstream version (Closes: #459863)
  * upstream removed acpitbl which is now obsoleted by 'iasl -d'
  * upstream included 'madt' to parse APIC tables
  * manpage updated accordingly
  * handle DEB_BUILD_OPTIONS=nostrip (Closes: #436371)
  * bump Standards-Version to 3.7.3 (as lintian suggests)

 -- Mattia Dongili <malattia@debian.org>  Sat, 16 Feb 2008 20:40:37 +0900

acpidump (20061130-1) unstable; urgency=low

  * New upstream version

 -- Mattia Dongili <malattia@debian.org>  Sat, 16 Dec 2006 23:17:04 +0100

acpidump (20060606-1) unstable; urgency=low

  * New upstream version

 -- Mattia Dongili <malattia@debian.org>  Tue, 22 Aug 2006 18:15:41 +0200

acpidump (20051111-1) unstable; urgency=low

  * New upstream version

 -- Mattia Dongili <malattia@debian.org>  Wed, 25 Jan 2006 20:05:57 +0100

acpidump (20050926-1) unstable; urgency=low

  * Initial release Closes: #334605

 -- Mattia Dongili <malattia@debian.org>  Wed, 19 Oct 2005 00:10:40 +0200

=== debian/control ===
Source: acpidump
Section: admin
Priority: optional
Maintainer: Mattia Dongili <malattia@debian.org>
Build-Depends: debhelper (>= 7.0.0)
Standards-Version: 3.8.4

Package: acpidump
Architecture: i386 ia64 amd64
Depends: perl, ${shlibs:Depends}, ${misc:Depends}
Description: utilities to dump system's ACPI tables to an ASCII file
 This package contains a small collection of utilities ACPI system 
 tables:
  * acpidump: to dump tables
  * acpixtract: to convert ASCII acpidump output to raw binary
  * turbostat: to gather performance statistics (x86 only)
 .
 Note: Upstream package is called pmtools.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
ifeq ($(DEB_HOST_ARCH),ia64)
	BINARIES = acpixtract acpidump
	MANPAGES = acpixtract
else
	BINARIES = acpixtract acpidump turbostat
	MANPAGES = acpixtract turbostat
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	# since turbostat cannot be built on ia64 just build what we
	# actually need rather than invoking the top level Makefile
	for i in $(BINARIES); do CFLAGS="$(CFLAGS)" $(MAKE) -C $$i; done

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs

	# Add here commands to install the package into debian/acpidump.
	install -d $(CURDIR)/debian/acpidump/usr/bin
	install -m 755 acpidump/acpidump acpixtract/acpixtract \
		$(CURDIR)/debian/acpidump/usr/bin
	[ ! -f turbostat/turbostat ] || \
		install -m 755 turbostat/turbostat \
		$(CURDIR)/debian/acpidump/usr/bin
	install -d $(CURDIR)/debian/acpidump/usr/share/man/man1
	gzip -9 < $(CURDIR)/debian/acpidump.1 \
		> $(CURDIR)/debian/acpidump/usr/share/man/man1/acpidump.1.gz


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installman
	for i in $(MANPAGES); do \
		dh_link usr/share/man/man1/acpidump.1.gz \
			usr/share/man/man1/$$i.1.gz ; \
	done
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to examine a Webpage 
# <Webpage URL> <string match>
#http://www.example.com/downloads.php acpidump-(.*)\.tar\.gz

# Uncomment to examine a Webserver directory
http://ftp.kernel.org/pub/linux/kernel/people/lenb/acpi/utils/pmtools-(.*)\.tar\.gz

# Uncommment to examine a FTP server
#ftp://ftp.example.com/pub/acpidump-(.*)\.tar\.gz debian uupdate

# Uncomment to find new files on sourceforge, for debscripts >= 2.9
# http://sf.net/acpidump/acpidump-(.*)\.tar\.gz
